org.apache.ignite.internal.processors.cache

## Class ExchangeContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.ExchangeContext

    public class ExchangeContext
    extends Object

### Field Summary

Fields
`static String` `IGNITE_EXCHANGE_COMPATIBILITY_VER_1`

### Constructor Summary

Constructors
Constructor and Description
`ExchangeContext(boolean crd, boolean newMvccCrd, GridDhtPartitionsExchangeFuture fut)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,GridLongList>` `activeQueries()`
`void` `addActiveQueries(UUID nodeId, GridLongList nodeQueries)`
`ExchangeDiscoveryEvents` `events()`
`boolean` `fetchAffinityOnJoin()`
`Set<Integer>` `groupsAffinityRequestOnJoin()`
`boolean` `mergeExchanges()`
`boolean` `newMvccCoordinator()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### IGNITE_EXCHANGE_COMPATIBILITY_VER_1

    public static final String IGNITE_EXCHANGE_COMPATIBILITY_VER_1

See Also:
  Constant Field Values

### Constructor Detail

#### ExchangeContext

    public ExchangeContext(boolean crd,
                           boolean newMvccCrd,
                           GridDhtPartitionsExchangeFuture fut)

Parameters:
  `crd` - Coordinator flag.
  `newMvccCrd` - `True` if new coordinator assigned during this exchange.
  `fut` - Exchange future.

### Method Detail

#### events

    public ExchangeDiscoveryEvents events()

Returns:
  Discovery events.

#### fetchAffinityOnJoin

    public boolean fetchAffinityOnJoin()

Returns:
  `True` if on local join need fetch affinity per-group (old protocol), otherwise affinity is sent in `GridDhtPartitionsFullMessage`.

#### groupsAffinityRequestOnJoin

    @Nullable
    public Set<Integer> groupsAffinityRequestOnJoin()

Returns:
  Groups to request affinity for.

#### mergeExchanges

    public boolean mergeExchanges()

Returns:
  `True` if exchanges merge is allowed during current exchange.

#### newMvccCoordinator

    public boolean newMvccCoordinator()

Returns:
  `True` if new node assigned as mvcc coordinator node during this exchange.

#### activeQueries

    public Map<UUID,GridLongList> activeQueries()

Returns:
  Active queries.

#### addActiveQueries

    public void addActiveQueries(UUID nodeId,
                                 @Nullable
                                 GridLongList nodeQueries)

Parameters:
  `nodeId` - Node ID.
  `nodeQueries` - Node queries.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018